curl --request GET \
--url https://api.example.com/metrics/{metric_id}/metric-events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "<string>",
"metric_id": "<string>",
"trace_id": "<string>",
"value": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}Paginates recorded values and metadata for a metric, optionally narrowed to a trace or a specific event.
curl --request GET \
--url https://api.example.com/metrics/{metric_id}/metric-events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "<string>",
"metric_id": "<string>",
"trace_id": "<string>",
"value": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Metric to read events for.
If set, only events associated with this trace.
If set, return at most the single matching event.
Page size.
1 <= x <= 200Offset into the event list (newest-first ordering).
x >= 0